#!/bin/sh
# Elvis' Gnome Gconf setup.
#
# Version 1.9
#
# Needs to be run as root.
#
# For openSUSE 10.2 this is /etc/opt/gnome/gconf
export GCONF_DIR="/etc/gconf"
# Store the schemas file in the standard directory. (Now done by Install.sh).
#cp elvis.schemas ${GCONF_DIR}/schemas
#
# Load elvis.schemas into the database using the standard source.
# This doesn't install Gconf in any way, shape or form.
# GCONF_CONFIG_SOURCE="" gconftool-2 --makefile-install-rule elvis.schemas
# But this works:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule ${GCONF_DIR}/schemas/elvis.schemas
#
# eof
#

