#!/bin/sh
# Update the current GConf schema.
#
# Version 1.9
#
# Needs to be run as root.
#
# This should be run from the command line, with Gnome shut down.
#
# For openSUSE 10.2 this is /etc/opt/gnome/gconf
export GCONF_DIR="/etc/gconf"
# Try to unload the current Elvis schema.
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule ${GCONF_DIR}/schemas/elvis.schemas
# Switch to the new schemas file and reload.
cp elvis.schemas ${GCONF_DIR}/schemas/elvis.schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule ${GCONF_DIR}/schemas/elvis.schemas
#
# eof
#

